
# David - 2.3.1-15mdk - Reminder: 7.2 is for IA32 only
#                                 8.0 is for IA32 and PPC
#                                 8.1 is for IA32 and IA64
#                                 8.2 is for IA32, IA64 and PPC

# David - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}

# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor9_1
%define unstable 0
%else
%define unstable 0
%endif

Name:		kdegames
Summary:	KDE - Games
Version:	3.1
Release:	11mdk
Epoch:		1
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://games.kde.org/
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

Source:		kdegames-3.1.tar.bz2
Source1:	kfouleggs-16.xpm
Source2:	kfouleggs-32.xpm
Source3:	kfouleggs-48.xpm

# Laurent 3.0.2-2mdk patch for ix64!
Patch1:     kde-lib64updates.patch.bz2


# Laurent - 3.0.3-3mdk fix mem leak in kwin4
Patch3:		kdegames-3.0.3-fix-mem-leak-in-kwin4.patch.bz2

# Laurenr - 3.0.3-5mdk - fix crash in kwin4
Patch4:		kdegames-3.0.3-fix-crash-in-kwin4-fix-network-connect.patch.bz2


# Laurent - 3.1-11mdk - fix from kde3.1 branch
Patch5:		kdegames-3.1-fix-2003-03-05.patch.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root

Obsoletes:	kdegames3
Provides:	kdegames3


%if %buildfor8_2
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs arts
BuildRequires:	automake diffutils file freetype2-devel gawk gcc-c++
BuildRequires:	gcc-cpp gettext kdelibs-devel 
BuildRequires:	libMesaGLU1 libalsa1-devel libarts-devel  libaudiofile0-devel
BuildRequires:	libbinutils2 libbzip2_1-devel libintl1 libjpeg62-devel liblcms1
BuildRequires:	libmng1-devel libpng3-devel libqt3-devel 
BuildRequires:	libtermcap2 m4 mktemp perl-MDK-Common
BuildRequires:	popt rpm-build texinfo zlib1-devel
%endif

%if %buildfor9_0 || %buildfor9_1
BuildRequires:  XFree86-devel XFree86-libs XFree86-static-libs arts
BuildRequires:  automake diffutils file freetype2-devel gawk gcc-c++
BuildRequires:  gcc-cpp gettext kdelibs-devel
BuildRequires:  libMesaGLU1 libalsa2-devel libarts-devel  libaudiofile0-devel
BuildRequires:  libbinutils2 libbzip2_1-devel libintl2 libjpeg62-devel liblcms1
BuildRequires:  libmng1-devel libpng3-devel libqt3-devel
BuildRequires:  libtermcap2 m4 mktemp perl-MDK-Common
BuildRequires:  popt rpm-build texinfo zlib1-devel
%endif

Obsoletes:	ktron kjumpingcube
Provides:	ktron kjumpingcube
BuildConflicts: automake1.6

%description
Games for the K Desktop Environment.
This is a compilation of various games for KDE project
	- atlantik: Monopoly-like board games
	- kabalone: board game: move 6 pieces from your opponent over the edge
	- kasteroids: shoot at those nasty asteroids
	- katomic: build complex atoms with a minimal amount of moves
	- kbackgammon: play backgammon against a local human player, via a
               game server or against GNU Backgammon (not included)
	- kbattleship: battleship game with built-in game server
	- kblackbox: find atoms in a grid by shooting electrons
	- kfouleggs: a famous japanese game known as puyo-puyo
	- kbounce: claim areas and don't get disturbed
	- kjumpingcube: a tactical game for number-crunchers
	- klines: place 5 equal pieces together, but wait, there are 3 new ones
	- mahjongg: a tile laying patience
	- kmines: the classical mine sweeper
	- kolf: a golf game
	- konquest: conquer the planets of your enemy
	- kpat: several patience card games
	- kpoker: the game of poker
	- kreversi: the old reversi board game, also known as othello
	- ksame: collect pieces of the same color
	- kshisen: patience game where you take away all pieces
	- ksirtet: very known if spelt this backwards
	- ksmiletris: another Tetris-like game
	- ksnake: don't bite yourself, eat apples!
	- ksokoban: move all storage boxes into the cabinet
	- kspaceduel: two player game with shooting spaceships flying around a sun
	- ktron: like ksnake, but without fruits
	- ktuberling: kids game: make your own potato (NO french fries!)
	- kwin4: place 4 pieces in a row
	- libkdegames: KDE game library used by many of these programs
	- lskat: lieutnant skat
	- megami: blackjack card game

%package devel
Summary:	Headers files for kdegames
Group:		Development/KDE and Qt
PreReq:		%name = %version-%release

Obsoletes:  kdegames3-devel
Provides:   kdegames3-devel

%description devel
Headers files needed to build applications based on kdegames applications.



%prep

%setup -q -nkdegames-3.1
#%patch1 -p1
%patch3 -p1
#%patch4 -p1
%patch5 -p1

%build
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure



%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        ./configure --prefix=%_prefix \
					--libdir=%_libdir \
                    --host=%_target_platform \
		    --build=%_target_platform \
%if %unstable			
                    --enable-debug=full \
%else
					--disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --disable-static \
		    --disable-objprelink \
		    --disable-embedded \
		    --disable-qtopia \
		    --disable-rpath \
                    --with-gnu-ld \
		    --with-pic \
		    --with-xinerama

%make


%install
rm -fr %buildroot

# David - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot 

# Install LMDK menu structure
install -d %buildroot/%_menudir/

# %%_datadir/applnk/Games/Arcade/
kdedesktop2mdkmenu.pl kdegames Amusement/Arcade %buildroot/%_datadir/applnk/Games/Arcade/kasteroids.desktop %buildroot/%_menudir/kdegames-kasteroids
kdedesktop2mdkmenu.pl kdegames Amusement/Arcade %buildroot/%_datadir/applnk/Games/Arcade/kbounce.desktop %buildroot/%_menudir/kdegames-kbounce
kdedesktop2mdkmenu.pl kdegames Amusement/Arcade %buildroot/%_datadir/applnk/Games/Arcade/kfouleggs.desktop %buildroot/%_menudir/kdegames-kfouleggs
kdedesktop2mdkmenu.pl kdegames Amusement/Arcade %buildroot/%_datadir/applnk/Games/Arcade/klickety.desktop %buildroot/%_menudir/kdegames-klickety
kdedesktop2mdkmenu.pl kdegames Amusement/Arcade %buildroot/%_datadir/applnk/Games/Arcade/kolf.desktop %buildroot/%_menudir/kdegames-kolf
kdedesktop2mdkmenu.pl kdegames Amusement/Arcade %buildroot/%_datadir/applnk/Games/Arcade/ksirtet.desktop %buildroot/%_menudir/kdegames-ksirtet
kdedesktop2mdkmenu.pl kdegames Amusement/Arcade %buildroot/%_datadir/applnk/Games/Arcade/ksmiletris.desktop %buildroot/%_menudir/kdegames-ksmiletris
kdedesktop2mdkmenu.pl kdegames Amusement/Arcade %buildroot/%_datadir/applnk/Games/Arcade/ksnake.desktop %buildroot/%_menudir/kdegames-ksnake
kdedesktop2mdkmenu.pl kdegames Amusement/Arcade %buildroot/%_datadir/applnk/Games/Arcade/kspaceduel.desktop %buildroot/%_menudir/kdegames-kspaceduel
kdedesktop2mdkmenu.pl kdegames Amusement/Arcade %buildroot/%_datadir/applnk/Games/Arcade/ktron.desktop %buildroot/%_menudir/kdegames-ktron

# %%_datadir/applnk/Games/Board/
kdedesktop2mdkmenu.pl kdegames Amusement/Boards %buildroot/%_datadir/applnk/Games/Board/atlantik.desktop %buildroot/%_menudir/kdegames-atlantik
kdedesktop2mdkmenu.pl kdegames Amusement/Boards %buildroot/%_datadir/applnk/Games/Board/kbackgammon.desktop %buildroot/%_menudir/kdegames-kbackgammon
kdedesktop2mdkmenu.pl kdegames Amusement/Boards %buildroot/%_datadir/applnk/Games/Board/kbattleship.desktop %buildroot/%_menudir/kdegames-kbattleship
kdedesktop2mdkmenu.pl kdegames Amusement/Boards %buildroot/%_datadir/applnk/Games/Board/kenolaba.desktop %buildroot/%_menudir/kdegames-kenolaba
kdedesktop2mdkmenu.pl kdegames Amusement/Boards %buildroot/%_datadir/applnk/Games/Board/kblackbox.desktop %buildroot/%_menudir/kdegames-kblackbox
kdedesktop2mdkmenu.pl kdegames Amusement/Boards %buildroot/%_datadir/applnk/Games/Board/kmahjongg.desktop %buildroot/%_menudir/kdegames-kmahjongg
kdedesktop2mdkmenu.pl kdegames Amusement/Boards %buildroot/%_datadir/applnk/Games/Board/kreversi.desktop %buildroot/%_menudir/kdegames-kreversi
kdedesktop2mdkmenu.pl kdegames Amusement/Boards %buildroot/%_datadir/applnk/Games/Board/kshisen.desktop %buildroot/%_menudir/kdegames-kshisen
kdedesktop2mdkmenu.pl kdegames Amusement/Boards %buildroot/%_datadir/applnk/Games/Board/kwin4.desktop %buildroot/%_menudir/kdegames-kwin4

# %%_datadir/applnk/Games/Card/
kdedesktop2mdkmenu.pl kdegames Amusement/Cards %buildroot/%_datadir/applnk/Games/Card/kpat.desktop %buildroot/%_menudir/kdegames-kpat
kdedesktop2mdkmenu.pl kdegames Amusement/Cards %buildroot/%_datadir/applnk/Games/Card/kpoker.desktop %buildroot/%_menudir/kdegames-kpoker
kdedesktop2mdkmenu.pl kdegames Amusement/Cards %buildroot/%_datadir/applnk/Games/Card/lskat.desktop %buildroot/%_menudir/kdegames-lskat
kdedesktop2mdkmenu.pl kdegames Amusement/Cards %buildroot/%_datadir/applnk/Games/Card/megami.desktop %buildroot/%_menudir/kdegames-megami

# %%_datadir/applnk/Games/Kidsgames/
kdedesktop2mdkmenu.pl kdegames Amusement/Cards %buildroot/%_datadir/applnk/Games/Kidsgames/ktuberling.desktop %buildroot/%_menudir/kdegames-ktuberling

# %%_datadir/applnk/Games/Strategy/
kdedesktop2mdkmenu.pl kdegames Amusement/Strategy %buildroot/%_datadir/applnk/Games/TacticStrategy/katomic.desktop %buildroot/%_menudir/kdegames-katomic
kdedesktop2mdkmenu.pl kdegames Amusement/Strategy %buildroot/%_datadir/applnk/Games/TacticStrategy/kjumpingcube.desktop %buildroot/%_menudir/kdegames-kjumpingcube
kdedesktop2mdkmenu.pl kdegames Amusement/Strategy %buildroot/%_datadir/applnk/Games/TacticStrategy/klines.desktop %buildroot/%_menudir/kdegames-klines
kdedesktop2mdkmenu.pl kdegames Amusement/Strategy %buildroot/%_datadir/applnk/Games/TacticStrategy/kmines.desktop %buildroot/%_menudir/kdegames-kmines
kdedesktop2mdkmenu.pl kdegames Amusement/Strategy %buildroot/%_datadir/applnk/Games/TacticStrategy/konquest.desktop %buildroot/%_menudir/kdegames-konquest
kdedesktop2mdkmenu.pl kdegames Amusement/Strategy %buildroot/%_datadir/applnk/Games/TacticStrategy/ksame.desktop %buildroot/%_menudir/kdegames-ksame
kdedesktop2mdkmenu.pl kdegames Amusement/Strategy %buildroot/%_datadir/applnk/Games/TacticStrategy/ksokoban.desktop %buildroot/%_menudir/kdegames-ksokoban


%if %buildfor9_0
perl -pi -e "s#kfouleggs.png#arcade_section.png#" %buildroot/%_menudir/kdegames-kfouleggs
%endif

install -d %buildroot/%_iconsdir/mini/
install -d %buildroot/%_iconsdir/large/
install -m 644 %SOURCE1 %buildroot/%_iconsdir/mini/kfouleggs.xpm
install -m 644 %SOURCE2 %buildroot/%_iconsdir/kfouleggs.xpm
install -m 644 %SOURCE3 %buildroot/%_iconsdir/large/kfouleggs.xpm
perl -pi -e "s#kfouleggs.png#kfouleggs.xpm#" %buildroot/%_menudir/kdegames-kfouleggs


%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%clean
rm -fr %buildroot

%files 
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
#%dir %_docdir/HTML/en/kabalone/
#%doc %_docdir/HTML/en/kabalone/common
#%doc %_docdir/HTML/en/kabalone/*.docbook
#%doc %_docdir/HTML/en/kabalone/*.bz2
#%doc %_docdir/HTML/en/kabalone/*.png
#
%dir %_docdir/HTML/en/kbounce/
%doc %_docdir/HTML/en/kbounce/common
%doc %_docdir/HTML/en/kbounce/*.bz2
%doc %_docdir/HTML/en/kbounce/*.docbook
%doc %_docdir/HTML/en/kbounce/*.png
#
%dir %_docdir/HTML/en/kenolaba/
%doc %_docdir/HTML/en/kenolaba/common
%doc %_docdir/HTML/en/kenolaba/*.bz2
%doc %_docdir/HTML/en/kenolaba/*.png
%doc %_docdir/HTML/en/kenolaba/*.docbook
#
%dir %_docdir/HTML/en/kasteroids/
%doc %_docdir/HTML/en/kasteroids/common
%doc %_docdir/HTML/en/kasteroids/*.docbook
%doc %_docdir/HTML/en/kasteroids/*.png
%doc %_docdir/HTML/en/kasteroids/*.bz2
#
#
%dir %_docdir/HTML/en/katomic/
%doc %_docdir/HTML/en/katomic/common
%doc %_docdir/HTML/en/katomic/*.docbook
%doc %_docdir/HTML/en/katomic/*.bz2
#
#
%dir %_docdir/HTML/en/kbackgammon/
%doc %_docdir/HTML/en/kbackgammon/common
%doc %_docdir/HTML/en/kbackgammon/*.docbook
%doc %_docdir/HTML/en/kbackgammon/*.png
%doc %_docdir/HTML/en/kbackgammon/*.bz2
#
#
%dir %_docdir/HTML/en/kbattleship/
%doc %_docdir/HTML/en/kbattleship/common
%doc %_docdir/HTML/en/kbattleship/*.docbook
%doc %_docdir/HTML/en/kbattleship/*.bz2
#
#
%dir %_docdir/HTML/en/kblackbox/
%doc %_docdir/HTML/en/kblackbox/common
%doc %_docdir/HTML/en/kblackbox/*.docbook
%doc %_docdir/HTML/en/kblackbox/*.png
%doc %_docdir/HTML/en/kblackbox/*.bz2
#
#
%dir %_docdir/HTML/en/kfouleggs/
%doc %_docdir/HTML/en/kfouleggs/common
%doc %_docdir/HTML/en/kfouleggs/*.docbook
%doc %_docdir/HTML/en/kfouleggs/*.bz2
%doc %_docdir/HTML/en/kfouleggs/*.png


%dir %_docdir/HTML/en/klickety/
%doc %_docdir/HTML/en/klickety/common
%doc %_docdir/HTML/en/klickety/*.docbook
%doc %_docdir/HTML/en/klickety/*.bz2


#
#
%dir %_docdir/HTML/en/kjumpingcube/
%doc %_docdir/HTML/en/kjumpingcube/common
%doc %_docdir/HTML/en/kjumpingcube/*.docbook
%doc %_docdir/HTML/en/kjumpingcube/*.bz2
#
#
%dir %_docdir/HTML/en/klines/
%doc %_docdir/HTML/en/klines/common
%doc %_docdir/HTML/en/klines/*.docbook
%doc %_docdir/HTML/en/klines/*.bz2
#
#
%dir %_docdir/HTML/en/kmines/
%doc %_docdir/HTML/en/kmines/common
%doc %_docdir/HTML/en/kmines/*.docbook
%doc %_docdir/HTML/en/kmines/*.png
%doc %_docdir/HTML/en/kmines/*.bz2
#
#
%dir %_docdir/HTML/en/konquest/
%doc %_docdir/HTML/en/konquest/common
%doc %_docdir/HTML/en/konquest/*.docbook
%doc %_docdir/HTML/en/konquest/*.bz2
#
#
%dir %_docdir/HTML/en/kpat/
%doc %_docdir/HTML/en/kpat/common
%doc %_docdir/HTML/en/kpat/*.docbook
%doc %_docdir/HTML/en/kpat/*.png
%doc %_docdir/HTML/en/kpat/*.bz2
#
#
%dir %_docdir/HTML/en/kpoker/
%_docdir/HTML/en/kpoker/common
%_docdir/HTML/en/kpoker/*.docbook
%_docdir/HTML/en/kpoker/*.png
%_docdir/HTML/en/kpoker/*.bz2
#
#
%dir %_docdir/HTML/en/kreversi/
%doc %_docdir/HTML/en/kreversi/common
%doc %_docdir/HTML/en/kreversi/*.docbook
%doc %_docdir/HTML/en/kreversi/*.png
%doc %_docdir/HTML/en/kreversi/*.bz2
#
#
%dir %_docdir/HTML/en/ksame/
%doc %_docdir/HTML/en/ksame/common
%doc %_docdir/HTML/en/ksame/*.docbook
%doc %_docdir/HTML/en/ksame/*.bz2
#
#
%dir %_docdir/HTML/en/kshisen/
%doc %_docdir/HTML/en/kshisen/common
%doc %_docdir/HTML/en/kshisen/*.docbook
%doc %_docdir/HTML/en/kshisen/*.bz2
%doc %_docdir/HTML/en/kshisen/*.png
%doc %_docdir/HTML/en/kshisen/*.tex
#
#
%dir %_docdir/HTML/en/ksirtet/
%doc %_docdir/HTML/en/ksirtet/common
%doc %_docdir/HTML/en/ksirtet/*.docbook
%doc %_docdir/HTML/en/ksirtet/*.bz2
#
#
%dir %_docdir/HTML/en/ksnake/
%doc %_docdir/HTML/en/ksnake/common
%doc %_docdir/HTML/en/ksnake/*.docbook
%doc %_docdir/HTML/en/ksnake/*.bz2
#
#
%dir %_docdir/HTML/en/ksokoban/
%doc %_docdir/HTML/en/ksokoban/common
%doc %_docdir/HTML/en/ksokoban/*.docbook
%doc %_docdir/HTML/en/ksokoban/*.bz2
#
#
%dir %_docdir/HTML/en/kspaceduel/
%doc %_docdir/HTML/en/kspaceduel/common
%doc %_docdir/HTML/en/kspaceduel/*.docbook
%doc %_docdir/HTML/en/kspaceduel/*.png
%doc %_docdir/HTML/en/kspaceduel/*.bz2
#
#
%dir %_docdir/HTML/en/ktron/
%doc %_docdir/HTML/en/ktron/common
%doc %_docdir/HTML/en/ktron/*.docbook
%doc %_docdir/HTML/en/ktron/*.bz2
#
#
%dir %_docdir/HTML/en/ktuberling/
%doc %_docdir/HTML/en/ktuberling/common
%doc %_docdir/HTML/en/ktuberling/*.docbook
%doc %_docdir/HTML/en/ktuberling/*.png
%doc %_docdir/HTML/en/ktuberling/*.bz2
#
#
%dir %_docdir/HTML/en/kwin4/
%doc %_docdir/HTML/en/kwin4/common
%doc %_docdir/HTML/en/kwin4/*.docbook
%doc %_docdir/HTML/en/kwin4/*.bz2
#
#
%dir %_docdir/HTML/en/lskat/
%doc %_docdir/HTML/en/lskat/common
%doc %_docdir/HTML/en/lskat/*.docbook
%doc %_docdir/HTML/en/lskat/*.bz2
#
%dir %_docdir/HTML/en/atlantik/
%doc %_docdir/HTML/en/atlantik/common
%doc %_docdir/HTML/en/atlantik/*.docbook
%doc %_docdir/HTML/en/atlantik/*.bz2

%dir %_docdir/HTML/en/kolf/
%doc %_docdir/HTML/en/kolf/common
%doc %_docdir/HTML/en/kolf/*.docbook
%doc %_docdir/HTML/en/kolf/*.bz2


%dir %_docdir/HTML/en/megami/
%doc %_docdir/HTML/en/megami/common
%doc %_docdir/HTML/en/megami/*.docbook
%doc %_docdir/HTML/en/megami/*.bz2



#
#
#%_bindir/kabalone
%_bindir/kbounce
%_bindir/kenolaba
%_bindir/kasteroids
%_bindir/katomic
%_bindir/kbackgammon
%_bindir/kbattleship
%_bindir/kblackbox
%_bindir/kfouleggs
#%_bindir/kjezz
%_bindir/kjumpingcube
%_bindir/klines
%_bindir/kmahjongg
%_bindir/kmines
%_bindir/konquest
%_bindir/kpat
%_bindir/kpoker
%_bindir/kwin4proc
%_bindir/kreversi
%_bindir/ksame
%_bindir/kshisen
%_bindir/ksirtet
%_bindir/ksmiletris
%_bindir/ksnake
%_bindir/ksokoban
%_bindir/kspaceduel
%_bindir/ktron
%_bindir/ktuberling
%_bindir/kwin4
%_bindir/lskat
%_bindir/lskatproc
%_bindir/atlantik
%_bindir/klickety
%_bindir/kolf
%_bindir/megami

#
#
#
#%_libdir/kbackgammon.la
%_libdir/libkdegames.la
#%_libdir/libkdehighscores.la
#%_libdir/libksirtetbase.la
#%_libdir/libksirtetcommon.la
%_libdir/libatlantic.la
%_libdir/libatlantikclient.la
%_libdir/libatlantikui.la
%_libdir/libkolf.la
#
#
#%_libdir/kbackgammon.so
%_libdir/libkdegames.so*
#%_libdir/libkdehighscores.so*
#%_libdir/libksirtetbase.so*
#%_libdir/libksirtetcommon.so*
%_libdir/libkolf.so*

#
%_libdir/libatlantic.so*
%_libdir/libatlantikclient.so*
%_libdir/libatlantikui.so*
#
%_libdir/kde3/kio_atlantik.so
%_libdir/kde3/kolf.so

%_libdir/kde3/kio_atlantik.la
%_libdir/kde3/kolf.la


#
%_menudir/*
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Games/
%dir %_datadir/applnk/Games/Arcade/
%_datadir/applnk/Games/Arcade/*.desktop
#
%dir %_datadir/applnk/Games/Board/
%_datadir/applnk/Games/Board/*.desktop
#
%dir %_datadir/applnk/Games/Card/
%_datadir/applnk/Games/Card/*.desktop
#
%dir %_datadir/applnk/Games/TacticStrategy/
%_datadir/applnk/Games/TacticStrategy/*.desktop
#
%dir %_datadir/applnk/Toys/
%_datadir/applnk/Toys/*.desktop
#
%dir %_datadir/applnk/Games/Kidsgames/
%_datadir/applnk/Games/Kidsgames/*.desktop
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/carddecks/
%dir %_datadir/apps/carddecks/cards-aisleriot/
%_datadir/apps/carddecks/cards-aisleriot/COPYRIGHT
%_datadir/apps/carddecks/cards-aisleriot/*.desktop
%_datadir/apps/carddecks/cards-aisleriot/*.png
#
%dir %_datadir/apps/carddecks/cards-default/
%_datadir/apps/carddecks/cards-default/*.desktop
%_datadir/apps/carddecks/cards-default/*.png
#
%dir %_datadir/apps/carddecks/cards-dondorf-whist-b/
%_datadir/apps/carddecks/cards-dondorf-whist-b/COPYRIGHT
%_datadir/apps/carddecks/cards-dondorf-whist-b/*.desktop
%_datadir/apps/carddecks/cards-dondorf-whist-b/*.png
#
%dir %_datadir/apps/carddecks/cards-gdkcard-bonded/
%_datadir/apps/carddecks/cards-gdkcard-bonded/COPYRIGHT
%_datadir/apps/carddecks/cards-gdkcard-bonded/*.desktop
%_datadir/apps/carddecks/cards-gdkcard-bonded/*.png
#
%dir %_datadir/apps/carddecks/cards-hard-a-port/
%_datadir/apps/carddecks/cards-hard-a-port/COPYRIGHT
%_datadir/apps/carddecks/cards-hard-a-port/*.desktop
%_datadir/apps/carddecks/cards-hard-a-port/*.png
#
%dir %_datadir/apps/carddecks/cards-konqi-modern/
%_datadir/apps/carddecks/cards-konqi-modern/*.desktop
%_datadir/apps/carddecks/cards-konqi-modern/*.png
#
%dir %_datadir/apps/carddecks/cards-penguins/
%_datadir/apps/carddecks/cards-penguins/COPYRIGHT
%_datadir/apps/carddecks/cards-penguins/*.desktop
%_datadir/apps/carddecks/cards-penguins/*.png
#
%dir %_datadir/apps/carddecks/cards-spaced/
%_datadir/apps/carddecks/cards-spaced/COPYRIGHT
%_datadir/apps/carddecks/cards-spaced/*.desktop
%_datadir/apps/carddecks/cards-spaced/*.png

%dir %_datadir/apps/carddecks/cards-warwick/
%_datadir/apps/carddecks/cards-warwick/*.desktop
%_datadir/apps/carddecks/cards-warwick/*.png
#
%dir %_datadir/apps/carddecks/cards-xskat-french/
%_datadir/apps/carddecks/cards-xskat-french/COPYRIGHT
%_datadir/apps/carddecks/cards-xskat-french/*.desktop
%_datadir/apps/carddecks/cards-xskat-french/*.png
#
%dir %_datadir/apps/carddecks/decks/
%_datadir/apps/carddecks/decks/*.desktop
%_datadir/apps/carddecks/decks/*.png
#
#
%dir %_datadir/apps/kenolaba/
%_datadir/apps/kenolaba/*.rc
%dir %_datadir/apps/kenolaba/toolbar/
%_datadir/apps/kenolaba/toolbar/*.xpm
#
%dir %_datadir/apps/kbounce/
%_datadir/apps/kbounce/*.rc
%dir %_datadir/apps/kbounce/pics/
%_datadir/apps/kbounce/pics/*.png
%dir %_datadir/apps/kbounce/sounds/
%_datadir/apps/kbounce/sounds/*.au
#
%dir %_datadir/apps/kasteroids/
%_datadir/apps/kasteroids/*.rc
#
%dir %_datadir/apps/kasteroids/sounds/
%_datadir/apps/kasteroids/sounds/*.wav
#
%dir %_datadir/apps/kasteroids/sprites/
%_datadir/apps/kasteroids/sprites/*.png
#
%dir %_datadir/apps/kasteroids/sprites/bits/
%_datadir/apps/kasteroids/sprites/bits/*.png
#
%dir %_datadir/apps/kasteroids/sprites/exhaust/
%_datadir/apps/kasteroids/sprites/exhaust/*.png
#
%dir %_datadir/apps/kasteroids/sprites/missile/
%_datadir/apps/kasteroids/sprites/missile/*.png
#
%dir %_datadir/apps/kasteroids/sprites/powerups/
%_datadir/apps/kasteroids/sprites/powerups/*.png
#
%dir %_datadir/apps/kasteroids/sprites/rock1/
%_datadir/apps/kasteroids/sprites/rock1/*.png
#
%dir %_datadir/apps/kasteroids/sprites/rock2/
%_datadir/apps/kasteroids/sprites/rock2/*.png
#
%dir %_datadir/apps/kasteroids/sprites/rock3/
%_datadir/apps/kasteroids/sprites/rock3/*.png
#
%dir %_datadir/apps/kasteroids/sprites/shield/
%_datadir/apps/kasteroids/sprites/shield/*.png
#
%dir %_datadir/apps/kasteroids/sprites/ship/
%_datadir/apps/kasteroids/sprites/ship/*.png
#
#
%dir %_datadir/apps/katomic/
%_datadir/apps/katomic/*.rc
#
%dir %_datadir/apps/katomic/levels/
%_datadir/apps/katomic/levels/level_*
#
%dir %_datadir/apps/katomic/pics/
%_datadir/apps/katomic/pics/*.png
#
#
%dir %_datadir/apps/kbackgammon/
%_datadir/apps/kbackgammon/*rc
#
%dir %_datadir/apps/kbackgammon/pics/
%_datadir/apps/kbackgammon/pics/*.png
%_datadir/apps/kbackgammon/pics/*.xpm
#
%dir %_datadir/apps/kbackgammon/sounds/
%_datadir/apps/kbackgammon/sounds/*.wav
#
#
%dir %_datadir/apps/kbattleship/
%_datadir/apps/kbattleship/*.rc
#
%dir %_datadir/apps/kbattleship/pictures/
%_datadir/apps/kbattleship/pictures/*.png
#
%dir %_datadir/apps/kbattleship/sounds/
%_datadir/apps/kbattleship/sounds/*.mp3
#
#
%dir %_datadir/apps/kblackbox/
%_datadir/apps/kblackbox/*.rc
#
%dir %_datadir/apps/kblackbox/pics/
%_datadir/apps/kblackbox/pics/*.xpm
#
#
%dir %_datadir/apps/kdegames/
%dir %_datadir/apps/kdegames/pics/
%_datadir/apps/kdegames/pics/*.png
#
#
%dir %_datadir/apps/kfouleggs/
%_datadir/apps/kfouleggs/*.rc
#
#
%dir %_datadir/apps/kjumpingcube/
%_datadir/apps/kjumpingcube/*.rc
#
#
%dir %_datadir/apps/klines/
%_datadir/apps/klines/*.jpg
%_datadir/apps/klines/*.rc
#
#
%dir %_datadir/apps/kmahjongg/
%_datadir/apps/kmahjongg/*.rc
%dir %_datadir/apps/kmahjongg/pics/
%_datadir/apps/kmahjongg/pics/*.bgnd
%_datadir/apps/kmahjongg/pics/*.layout
%_datadir/apps/kmahjongg/pics/*.png
%_datadir/apps/kmahjongg/pics/*.theme
%_datadir/apps/kmahjongg/pics/*.tileset
#
%dir %_datadir/apps/kmahjongg/toolbar/
%_datadir/apps/kmahjongg/toolbar/*.xpm
#
#
%dir %_datadir/apps/kmines/
%_datadir/apps/kmines/*.rc
#
#
%dir %_datadir/apps/konquest/
%_datadir/apps/konquest/*.rc
%dir %_datadir/apps/konquest/pics/
%_datadir/apps/konquest/pics/*.png
%_datadir/apps/konquest/pics/*.xpm
#
#
%dir %_datadir/apps/kpat/
%_datadir/apps/kpat/*.rc
#
#
%dir %_datadir/apps/kpoker/
%_datadir/apps/kpoker/*.rc
#
%dir %_datadir/apps/kpoker/sounds/
%_datadir/apps/kpoker/sounds/*.wav
#
#
%dir %_datadir/apps/kreversi/
%dir %_datadir/apps/kreversi/pics/
%_datadir/apps/kreversi/pics/*.xpm
%_datadir/apps/kreversi/pics/*.png



#
%dir %_datadir/apps/kreversi/pics/background/
%_datadir/apps/kreversi/pics/background/*.xpm
#
%dir %_datadir/apps/kreversi/sounds/
%_datadir/apps/kreversi/sounds/*.wav
#
#
%dir %_datadir/apps/ksame/
%_datadir/apps/ksame/eventsrc
%_datadir/apps/ksame/*.png
%_datadir/apps/ksame/*.rc
#
#
%dir %_datadir/apps/kshisen/
%_datadir/apps/kshisen/*.rc
%_datadir/apps/kshisen/*.xpm
#
#
%dir %_datadir/apps/ksirtet/
%_datadir/apps/ksirtet/*.rc
#
#
%dir %_datadir/apps/ksmiletris/
%_datadir/apps/ksmiletris/*.rc
%dir %_datadir/apps/ksmiletris/data/
%_datadir/apps/ksmiletris/data/*.bmp
#
%dir %_datadir/apps/ksmiletris/sounds/
%_datadir/apps/ksmiletris/sounds/*.wav
#
#
%dir %_datadir/apps/ksnake/
%_datadir/apps/ksnake/highScores
%_datadir/apps/ksnake/*.rc
#
%dir %_datadir/apps/ksnake/backgrounds/
%_datadir/apps/ksnake/backgrounds/*.png
#
%dir %_datadir/apps/ksnake/levels/
%_datadir/apps/ksnake/levels/room*
#
%dir %_datadir/apps/ksnake/pics/
%_datadir/apps/ksnake/pics/*.png
#
#
%dir %_datadir/apps/kspaceduel/
%_datadir/apps/kspaceduel/*.rc
#
%dir %_datadir/apps/kspaceduel/icons/
%dir %_datadir/apps/kspaceduel/icons/crystalsvg/
%dir %_datadir/apps/kspaceduel/icons/crystalsvg/16x16/
%dir %_datadir/apps/kspaceduel/icons/crystalsvg/16x16/actions/
%_datadir/apps/kspaceduel/icons/crystalsvg/16x16/actions/*.png
#
%dir %_datadir/apps/kspaceduel/icons/crystalsvg/22x22/
%dir %_datadir/apps/kspaceduel/icons/crystalsvg/22x22/actions/
%_datadir/apps/kspaceduel/icons/crystalsvg/22x22/actions/*.png
#
%dir %_datadir/apps/kspaceduel/icons/crystalsvg/32x32/
%dir %_datadir/apps/kspaceduel/icons/crystalsvg/32x32/actions/
%_datadir/apps/kspaceduel/icons/crystalsvg/32x32/actions/*.png
%dir %_datadir/apps/kspaceduel/icons/locolor/
%dir %_datadir/apps/kspaceduel/icons/locolor/16x16/
%dir %_datadir/apps/kspaceduel/icons/locolor/16x16/actions/
%_datadir/apps/kspaceduel/icons/locolor/16x16/actions/*.png
#
%dir %_datadir/apps/kspaceduel/sprites/
%_datadir/apps/kspaceduel/sprites/*.png
#
%dir %_datadir/apps/kspaceduel/sprites/explosion/
%_datadir/apps/kspaceduel/sprites/explosion/*.pbm
%_datadir/apps/kspaceduel/sprites/explosion/*.ppm
#
%dir %_datadir/apps/kspaceduel/sprites/playerinfo/
%_datadir/apps/kspaceduel/sprites/playerinfo/*.pnm
#
%dir %_datadir/apps/kspaceduel/sprites/powerups/
%_datadir/apps/kspaceduel/sprites/powerups/*.pbm
%_datadir/apps/kspaceduel/sprites/powerups/*.ppm
#
%dir %_datadir/apps/kspaceduel/sprites/ship1/
%_datadir/apps/kspaceduel/sprites/ship1/*.pbm
%_datadir/apps/kspaceduel/sprites/ship1/*.ppm
#
%dir %_datadir/apps/kspaceduel/sprites/ship2/
%_datadir/apps/kspaceduel/sprites/ship2/*.pbm
%_datadir/apps/kspaceduel/sprites/ship2/*.ppm
#
%dir %_datadir/apps/kspaceduel/sprites/sun/
%_datadir/apps/kspaceduel/sprites/sun/*.pbm
%_datadir/apps/kspaceduel/sprites/sun/*.ppm
#
#
%dir %_datadir/apps/ktron/
%_datadir/apps/ktron/*.rc
#
#
%dir %_datadir/apps/ktuberling/
%_datadir/apps/ktuberling/ktuberlingui.rc
#
%dir %_datadir/apps/ktuberling/museum/
%_datadir/apps/ktuberling/museum/*.tuberling
#
%dir %_datadir/apps/ktuberling/pics/
%_datadir/apps/ktuberling/pics/*.xml 
%_datadir/apps/ktuberling/pics/*.png
#
%dir %_datadir/apps/ktuberling/sounds/
%dir %_datadir/apps/ktuberling/sounds/en/
%_datadir/apps/ktuberling/sounds/en/*.wav
#
#
%dir %_datadir/apps/kwin4/
%_datadir/apps/kwin4/*.rc
#
%dir %_datadir/apps/kwin4/grafix/
%dir %_datadir/apps/kwin4/grafix/default/
%_datadir/apps/kwin4/grafix/default/*.png
%_datadir/apps/kwin4/grafix/default/*.rc
#
#
%dir %_datadir/apps/lskat/
%_datadir/apps/lskat/*.rc
#
%dir %_datadir/apps/lskat/grafix/
%_datadir/apps/lskat/grafix/*.png
#
#
%dir %_datadir/apps/atlantik/
%_datadir/apps/atlantik/*.rc

%dir %_datadir/apps/atlantik/pics/
%_datadir/apps/atlantik/pics/*.png

%dir %_datadir/apps/atlantik/icons/
%dir %_datadir/apps/atlantik/icons/crystalsvg/
%dir %_datadir/apps/atlantik/icons/crystalsvg/16x16/
%dir %_datadir/apps/atlantik/icons/crystalsvg/16x16/actions/
%_datadir/apps/atlantik/icons/crystalsvg/16x16/actions/*.png

%dir %_datadir/apps/atlantik/icons/crystalsvg/22x22/
%dir %_datadir/apps/atlantik/icons/crystalsvg/22x22/actions/
%_datadir/apps/atlantik/icons/crystalsvg/22x22/actions/*.png

%dir %_datadir/apps/atlantik/icons/crystalsvg/32x32/
%dir %_datadir/apps/atlantik/icons/crystalsvg/32x32/actions/
%_datadir/apps/atlantik/icons/crystalsvg/32x32/actions/*.png

%dir %_datadir/apps/atlantik/icons/locolor/
%dir %_datadir/apps/atlantik/icons/locolor/16x16/
%dir %_datadir/apps/atlantik/icons/locolor/16x16/actions/
%_datadir/apps/atlantik/icons/locolor/16x16/actions/*.png

%dir %_datadir/apps/klickety/
%_datadir/apps/klickety/*.rc

%dir %_datadir/apps/kolf/
%_datadir/apps/kolf/intro
%_datadir/apps/kolf/*.rc
%_datadir/apps/kolf/tutorial.*

%dir %_datadir/apps/kolf/courses/
%_datadir/apps/kolf/courses/*

%dir %_datadir/apps/kolf/pics/
%_datadir/apps/kolf/pics/*.png

%dir %_datadir/apps/kolf/sounds/
%_datadir/apps/kolf/sounds/*.wav

%dir %_datadir/apps/megami/
%_datadir/apps/megami/*.rc

%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop

%dir %_datadir/services/
%_datadir/services/*.protocol

%dir %_datadir/config/magic
%_datadir/config/magic/*.magic


#
%_iconsdir/*.xpm
#
%dir %_iconsdir/mini/
%_iconsdir/mini/*.xpm
#
%dir %_iconsdir/large/
%_iconsdir/large/*.xpm
#



%dir %_iconsdir/crystalsvg/
%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/apps/
%_iconsdir/crystalsvg/16x16/apps/*.png

%dir %_iconsdir/crystalsvg/16x16/actions/
%_iconsdir/crystalsvg/16x16/actions/*.png

%dir %_iconsdir/crystalsvg/22x22/
%dir %_iconsdir/crystalsvg/22x22/actions/
%_iconsdir/crystalsvg/22x22/actions/*.png

%dir %_iconsdir/crystalsvg/32x32/
%dir %_iconsdir/crystalsvg/32x32/actions/
%_iconsdir/crystalsvg/32x32/actions/*.png

%dir %_iconsdir/crystalsvg/32x32/apps/
%_iconsdir/crystalsvg/32x32/apps/*.png

%dir %_iconsdir/crystalsvg/48x48/
%dir %_iconsdir/crystalsvg/48x48/apps/
%_iconsdir/crystalsvg/48x48/apps/*.png


#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.png
#
#%dir %_iconsdir/hicolor/48x48/
#%dir %_iconsdir/hicolor/48x48/apps/
#%_iconsdir/hicolor/48x48/apps/*.png
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png




%files devel
%defattr(-,root,root,-)
%_includedir/*.h

%dir %_includedir/kgame/
%_includedir/kgame/*.h

%dir %_includedir/atlantic/
%_includedir/atlantic/*.h

%dir %_includedir/atlantik/ui
%_includedir/atlantik/ui/*.h

%dir %_includedir/kolf/
%_includedir/kolf/*.h



%changelog
* Wed Mar 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-11mdk
- Add patch5 : fix from kde3.1-branch
"Backport of fix for Bug #55438.
Fix for endless loop in search: Correctly widen alpha-beta window
when search result doesn't fit in.
Note: This is needed because a false assumption on the used search
algorithm (in fact, another harmless bug, which is fixed in CVS HEAD).
"

* Tue Mar 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-10mdk
- Update code : fix "Correct the list of default key bindings."

* Mon Mar 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Update code

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Update code ( fix kbagammon )

* Thu Feb 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Update code 

* Wed Feb 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- Update code fix atlantik

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Update code fix kpat bug

* Sun Feb 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Update code ( fix best code dialogbox)

* Sat Feb 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Update code ( fix altantik programm )

* Fri Jan 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Update code from kde_3_1_branch ( fix altantik bug)

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- kde3.1

* Wed Jan 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Remove debug

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Apply Gwenole patch "Make it lib64 aware"

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Wed Nov 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- 3.1

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Thu Nov 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.3mdk
- Rebuild with fontconfig

* Wed Nov 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- Fix description thanks to "Yura Gusev" <elendal-sub@polygonized.com>

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- Rc1

* Mon Oct 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.5mdk
- Fix group
- Fix rpmlint warning

* Sun Oct 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.4mdk
- Fix url

* Fri Oct 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.3mdk
- Remove patch2 - 5 commited in kde_3_1_branch
- Reactivate patch3

* Thu Oct 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- file menu entry

* Wed Oct 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Tue Sep 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-7mdk
- Add patch5 : fix disable/enable ok button in score dialogbox

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Fix build requires on 8.2

* Tue Aug 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Patch4 : Fix crash in kwin4 -> network connect dialogbox

* Tue Aug 27 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.3-4mdk
- Fix kfouleggs icon (menu)
- Fix BuildRequires

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch3 : fix mem leak in kwin4

* Fri Aug 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch2 : fix crash in kpat->"the king" launch demo

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde-3.0.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- Rebuild against gcc-3.2

* Wed Aug 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Add BuildConflicts: automake1.6
- Rebuild against libintl2

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Rebuild against gcc3.2

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Rebuild against gcc3.2

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Thu May 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- Rebuild

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- Fix obsoletes/provides

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- fix menu entry

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- rebuild

* Thu May 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1
- obsolete kdegames

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- Rebuild against gcc3.1

* Mon Apr 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Rebuild against libalsa2

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove 'fomit-frame-pointer'
- Fix spec file 
- Add missing menu entry

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

* Thu Mar 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Sat Mar 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.4mdk
- RC2

* Wed Feb 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.4mdk
- Fix BuildRequires for 8.2

* Sat Feb 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.3mdk
- Fix ./configure
- Enable debug
- Set unstable macro to 1

* Fri Feb 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- fix spec file

* Sun Jan 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.3mdk
- Rename to allow KDE 2 & 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.3mdk
- kde 3.0 beta1

* Fri Nov 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec file

* Sat Nov 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

